If you follow the tech news, you probably know that the latest version of Mac OS is out… it’s called Catalina. If you’re like me, you want to install and run the latest OS right away. I’m holding off on Catalina right now and you probably should too.

Why?

Well, Catalina is incompatible with 32-bit apps. They won’t run at all. These are primarily older apps, but some that are still in use, especially in education. For example, I won’t be updating my Northern Buckeye MacBook just yet because the LEGO Mindstorms EV3 software is 32-bit. read more